const system=require("../../system");
const Dao=require("../dao.base");
class EintentionDao extends Dao{
  constructor(){
    super(Dao.getModelName(EintentionDao));
  }
  extraWhere(obj,w){
    console.log("--------------------------------------------------------------------------------qqqq");
    console.log(obj);
    console.log(w);
     if(obj.codepath && obj.codepath!=""){
       if(obj.codepath.indexOf("eintentionmy")>=0){
         //如果是我的客户
          w["owner_id"]=obj.uid;
       }
      }
      return w;
  }
}
module.exports=EintentionDao;
